Sélectionner une page


Classic Editor est un plugin officiel de l’équipe WordPress qui restaure l’éditeur WordPress précédent (« classique ») et l’écran « Modifier l’article ». Il permet l’utilisation de plugins qui étendent cet écran, ajoutent des métaboxes de style ancien ou dépendent de l’éditeur précédent.

Classic Editor est un plugin WordPress officiel et est entièrement pris en charge et maintenu jusqu’en 2022 au moins ou aussi longtemps que nécessaire.

En un coup d’œil, ce plugin ajoute:

  • Les administrateurs peuvent choisir l’éditeur par défaut pour tous les utilisateurs.
  • Les administrateurs peuvent autoriser les utilisateurs à modifier leur éditeur par défaut.
  • Si cela est autorisé, les utilisateurs peuvent choisir l’éditeur à utiliser pour chaque publication.
  • Chaque article sera ouvert dans le dernier éditeur utilisé, quel que soit le dernier édité. Ceci est important pour garantir une expérience utilisateur cohérente lors de la modification du contenu.

De plus, le plugin Classic Editor contient plusieurs filtres avec lesquels d’autres plugins peuvent contrôler les paramètres et la sélection de l’éditeur par article et par type d’article.

Par défaut, ce plugin masque toutes les fonctions disponibles dans le nouvel éditeur de blocs (« Gutenberg »).

paramètres par défaut

Si ce plugin est activé, l’ancien éditeur WordPress (« classique ») sera restauré et le nouvel éditeur de blocs (« Gutenberg ») sera masqué.
Ces paramètres peuvent être modifiés dans l’écran Paramètres => Ecrire.

Paramètres par défaut pour l’installation réseau

Il y a deux possibilités:

  • Lorsque le plugin est activé sur le réseau, l’éditeur classique est défini par défaut et empêche les administrateurs du site et les utilisateurs de changer d’éditeur.
    Les paramètres peuvent être modifiés et l’éditeur par défaut à l’échelle du réseau sélectionné sur l’écran Paramètres réseau.
  • S’il n’est pas activé sur le réseau, tout administrateur de site peut activer le plugin et sélectionner des options pour ses utilisateurs.

Il se trouve dans le menu principal de l’éditeur de blocs Capture d’écran.

Ce plugin était nécessaire de toute urgence. L’abandon de l’éditeur classique en tant que norme WordPress était une énorme erreur de la part de WordPress IMHO. Cela le résout instantanément et sans douleur.

L’éditeur classique fait le travail en ce moment. Je ne l’utiliserais pas pour une mise en page complexe, mais je n’utiliserais pas non plus Gutenberg à cette fin. Une mise en page complexe doit être créée en tant que modèle avec des champs personnalisés afin que le client ne joue pas avec la conception.

D’accord avec tout le monde. Le nouvel éditeur de blocs est CRAP, TOTAL GARBAGE. J’ai presque arrêté de travailler sur WP. Ce plugin m’a sauvegardé pour le moment jusqu’à ce que WP décide de le supprimer car cela ne rapportera pas d’argent aux autres pour inclure l’éditeur BOLLOCK dans leur THEME $ et ADDON $. Donc, ce plugin et Bootstrap 5 et tous les sujets de merde (tous sont de la merde … des boîtes noires, pleines de bugs et d’incohérences) mais je veux avoir plus de fonctionnalités dans la barre d’outils. Je me souviens que le même éditeur avait beaucoup de fonctionnalités dans le passé. Mais maintenant je sais que j’obtiendrai aussi ce que j’ai mis.

OMG l’éditeur de blocs est une poubelle tellement en colère! Je suis désolé d’avoir même créé des sites WordPress. AUCUN HUMAIN NE VEUT QUE CHAQUE LIGNE DE TEXTE SOIT UN ÉLÉMENT SÉPARÉ AVEC UN MENU POP-UP DISTRACTEUR, WORDPRESS. Merci beaucoup pour ce plug-in qui restaure l’interface simple, logique et facile à utiliser à laquelle nous nous sommes tous inscrits avec WordPress. Merci de ne jamais l’enlever.

Cette note d’une étoile n’est pas due au fait que le plugin ne fait pas ce qu’il est censé être. C’est parce que ce plugin est absolument nécessaire. Gutenberg est désespérément horrible et devrait être déchiré comme la terrible idée que c’était. Forcer des changements d’interface utilisateur que personne ne veut n’a pas très bien fonctionné pour Firefox, et cela n’est pas configuré pour fonctionner très bien pour WordPress. Et forcer le changement d’une main mais le renvoyer avec un plugin est une terrible possibilité. Faites de Gutenberg un plugin.

J’adore ce plugin et j’espère qu’il ne se retirera jamais. Tout ce que j’ai entendu au sujet du nouveau format de bloc, c’est qu’il est très difficile à utiliser et que certains quittent leurs blogs à cause de cela. Beaucoup d’entre nous ont choisi WP parce que nous ne sommes pas experts en technologie et qu’il était si facile à utiliser. J’ai recommandé ce plugin à tous ceux qui sont frustrés et qui envisagent d’arrêter. Voici un message que je viens de recevoir d’un autre blogueur – J’ai vraiment des problèmes avec le système de blocage de WordPress. Il me faut 4 à 5 fois plus de temps pour préparer une page pour une opération en direct qu’auparavant. Et puis, souvent, les résultats ne sont pas si bons: polices asymétriques, surdimensionnées, polices bizarres, etc. Et mes cheveux sont déjà trop fins pour les arracher. Je pense que vous voulez plus de blogueurs, pas moins, alors j’espère que ce plugin restera actif pour ceux d’entre nous qui sont incapables de suivre le flux de blocages.

Lisez les 954 avis

« Classic Editor » est un logiciel open source. Les personnes suivantes ont contribué à ce plugin.

Contributeurs

1,6

  • Mis à jour pour WordPress 5.5.
  • Des problèmes mineurs avec l’appel de fonctions obsolètes, l’enregistrement inutile du hook de désinstallation et la mise en majuscule de certaines chaînes ont été corrigés.

1,5

  • Mis à jour pour WordPress 5.2 et Gutenberg 5.3.
  • La logique «Ouvrir les articles dans le dernier éditeur avec lequel ils ont été édités» a été améliorée et corrigée.
  • Correction de l’ajout du statut de publication afin qu’il soit facilement accessible à partir d’autres plugins.

1,4

  • Dans le cas des installations réseau, la restriction n’a été supprimée que pour l’activation réseau.
  • Ajout de la prise en charge des administrateurs réseau lors de la sélection de l’éditeur standard à l’échelle du réseau.
  • Correction du lien vers les paramètres dans l’avertissement sur l’écran Info réseau.
  • L’élément de menu «Passer à l’éditeur classique» a été correctement ajouté au menu de l’éditeur de blocs.

1,3

  • La suppression du widget de tableau de bord « Try Gutenberg » a été corrigée.
  • Correction de la condition d’affichage du message sur l’écran « Quoi de neuf » après la mise à jour. Apparaît lorsque l’éditeur classique est sélectionné et que les utilisateurs ne peuvent pas changer d’éditeur.

1.2

  • Correction du changement d’éditeur à partir de l’écran Ajouter un nouveau (article) avant d’enregistrer un brouillon de publication.
  • Correction d’une faute de frappe qui entraînait l’ajout de l’URL d’édition à la classic-editor Requête var.
  • La détection de WordPress 5.0 a été modifiée afin de ne pas utiliser la vérification de version. Corrige un bogue lors du test de la version 5.1 alpha.
  • La valeur par défaut de l’option a été modifiée pour permettre aux utilisateurs de définir les éditeurs sur false.
  • Ajout de la désactivation du plugin Gutenberg et réduction de la version WordPress requise à 4.9.
  • Ajoutée classic_editor_network_default_settings Filtre.

1.1

Correction d’un bogue qui tentait de charger l’éditeur de blocs pour les types de publication qui ne prennent pas en charge l’éditeur lorsque les utilisateurs peuvent changer d’éditeur.

1.0

  • Mis à jour pour WordPress 5.0.
  • Tous les noms / références « Gutenberg » à « Editeur de blocs » ont été modifiés.
  • L’interface utilisateur des paramètres a été mise à jour.
  • Désactivation du plugin Gutenberg supprimée. Cela a été ajouté pour les tests dans WordPress 4.9. Les utilisateurs qui souhaitent suivre le développement de Gutenberg dans WordPress 5.0 et supérieur n’ont pas besoin d’un autre plugin pour le désactiver.
  • Ajout de la prise en charge des paramètres utilisateur de l’éditeur standard.
  • Ajout de la prise en charge des administrateurs pour définir l’éditeur par défaut du site.
  • Ajout de la prise en charge des administrateurs pour permettre aux utilisateurs de modifier leur éditeur par défaut.
  • Ajout de la prise en charge des administrateurs réseau pour empêcher les administrateurs de site de modifier les paramètres par défaut.
  • Ajout du support pour enregistrer le dernier éditeur utilisé pour chaque article et l’ouvrir la prochaine fois. Activé lorsque les utilisateurs peuvent sélectionner l’éditeur par défaut.
  • Le statut « Éditeur de publication » a été ajouté à la liste des publications sur l’écran des publications. Affiche l’éditeur qui s’ouvre pour le message. Activé lorsque les utilisateurs peuvent sélectionner l’éditeur par défaut.
  • Ajoutée classic_editor_enabled_editors_for_post et classic_editor_enabled_editors_for_post_type Filtre. Peut être utilisé par d’autres plugins pour contrôler ou remplacer l’éditeur utilisé pour un article particulier de type d’article.
  • Ajoutée classic_editor_plugin_settings Filtre. Peut être utilisé par d’autres plugins pour remplacer les paramètres et désactiver l’interface utilisateur des paramètres.

0,5

  • Mis à jour pour Gutenberg 4.1 et WordPress 5.0-beta1.
  • Certaines fonctions désormais disponibles dans Gutenberg ont été supprimées.
  • La redirection vers l’éditeur classique après la visualisation des post-révisions a été corrigée.

0,4

  • Correction de la suppression de la légende « Try Gutenberg » lorsque le plugin Gutenberg n’était pas activé.
  • Un bug a été corrigé qui faisait que les paramètres et le lien « Paramètres » apparaissaient toujours dans la liste des plugins.
  • Le texte Lisez-moi a été mis à jour.

0,3

  • L’option mise à jour d’une case à cocher vers certains boutons radio semble être plus claire. Merci à @designsimply pour les suggestions de texte d’étiquette.
  • Quelques mises à jour et nettoyages généraux.

0,2

  • Mise à jour pour Gutenberg 1.9.
  • Supprimez l’avertissement et la désactivation automatique lorsque Gutenberg n’est pas actif.

0,1

Première version.



Source link

Recent Posts